html {
    display: grid;
    height: 100%;
    grid-template-rows: 100%;
}
body {
	display: inherit;
	grid-template-rows: 0px 100% auto;
}
body>header, body>main {
	padding: 0;
}
body header {
	text-align: center;
	padding-inline: 80px 350px;
	z-index: 1;
}
body header > * {
	margin: 5px 0;
}
main {
	display: grid;
	grid-template-columns: minmax(0,1fr) 350px;
}
main > section {
	margin-bottom: 0;
	z-index: 2;
}
main > section:first-child {
    margin: 100px 3rem 0 calc(80px + 3rem);
}
main > section:first-child p {
    text-wrap: balance;
    text-align: center;
}
main section:last-child {
    display: grid;
    grid-auto-rows: auto minmax(0,1fr);
    height: 0;
    min-height: 100%;
}
main section:last-child button {
	margin: 0;
	font-size: 1em;
    padding: 10px;
    width: 100%;
}
main section:last-child a {
	text-align: center;
    display: block;
    font-size: 15px;
    padding: 0.5em 0;
}
#demo {
  --s: 350px;
  height: var(--s);
  aspect-ratio: 1;
  margin: auto;
  --g:/calc(var(--s)*0.201) calc(var(--s)*0.201) radial-gradient(50% 50%,#000 99%,#0000 101%) no-repeat;
  mask: calc(50% + var(--s)*0.369) calc(50% + var(--s)*0) var(--g),calc(50% + var(--s)*0.261) calc(50% + var(--s)*0.261) var(--g),calc(50% + var(--s)*0) calc(50% + var(--s)*0.369) var(--g),calc(50% + var(--s)*-0.261) calc(50% + var(--s)*0.261) var(--g),calc(50% + var(--s)*-0.369) calc(50% + var(--s)*0) var(--g),calc(50% + var(--s)*-0.261) calc(50% + var(--s)*-0.261) var(--g),calc(50% + var(--s)*0) calc(50% + var(--s)*-0.369) var(--g),calc(50% + var(--s)*0.261) calc(50% + var(--s)*-0.261) var(--g),radial-gradient(calc(var(--s)*0.418),#000 99%,#0000 101%) intersect,radial-gradient(#000 0 0) exclude,calc(50% + var(--s)*0.447) calc(50% + var(--s)*0.185) var(--g),calc(50% + var(--s)*0.185) calc(50% + var(--s)*0.447) var(--g),calc(50% + var(--s)*-0.185) calc(50% + var(--s)*0.447) var(--g),calc(50% + var(--s)*-0.447) calc(50% + var(--s)*0.185) var(--g),calc(50% + var(--s)*-0.447) calc(50% + var(--s)*-0.185) var(--g),calc(50% + var(--s)*-0.185) calc(50% + var(--s)*-0.447) var(--g),calc(50% + var(--s)*0.185) calc(50% + var(--s)*-0.447) var(--g),calc(50% + var(--s)*0.447) calc(50% + var(--s)*-0.185) var(--g);
  background: linear-gradient(45deg,#355C7D,#68B3AF);
}
main article {
	margin: 0;
    padding-block: 10px;
    text-align: center;
    border-radius: 0;
}
main article form {
	text-align: left;
	margin-bottom: 0;
}
fieldset:last-child {
	margin-bottom: 0;
}
form legend {
	text-decoration: underline;
	font-size: 1.2em;
}
form label {
	cursor: pointer;
}
form legend span {
	display: inline-block;
	margin-left: 10px;
}
form fieldset {
	margin:  0;
}
main .code {
	overflow: auto;
	padding-bottom: 80px;
}
main .code code {
	font-size: 0.75em;
	cursor: text;
	color: var(--color);
}
pre[class*=language-] {
	margin: 0;
}
.code-e {
	display: grid;
	grid-template-columns: 1fr 1fr;
}
.border-type {
    position: absolute;
    z-index: 3;
    left: 20px;
    top: 80px;
    display: grid;
    grid-gap: 10px;
}
.border-type label {
    display: grid;
	width: 80px;
	aspect-ratio: 1;
}
.border-type label input {
    opacity: 0;
    grid-area: 1/1;
}
.border-type label i {
    grid-area: 1/1;
    display: grid;
    border: 1px solid var(--pico-form-element-color);
    border-radius: 5px;
}
.border-type label i:before {
	content: "";
    display: grid;
    margin: 2px;
    background: var(--pico-form-element-color);
}
.border-type label input:checked + i:before {
	background: var(--pico-primary);
}
.border-type label input:checked + i {
	box-shadow: 0 0 0 var(--pico-outline-width) var(--pico-form-element-focus-color);
    border: 1px solid var(--pico-primary);
}
.border-type label:nth-child(1) i:before{
  --g:/37.02% 37.02% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
  mask: 100% 50% var(--g),65.45% 97.55% var(--g),9.55% 79.39% var(--g),9.55% 20.61% var(--g),65.45% 2.45% var(--g),radial-gradient(100% 100%,#000 25.48%,#0000 calc(25.48% + 1px));
}
.border-type label:nth-child(2) i:before{
  --g:/calc(37.02% + 1.53px) calc(37.02% + 1.53px) radial-gradient(#0000 calc(70% - 3px),#000 calc(71% - 3px) 70%,#0000 71%) no-repeat;
  mask: radial-gradient(100% 100%,#0000 calc((37.02% + 1.53px)/1.46 - 2.06px),#000 calc((37.02% + 1.53px)/1.46 - 2.06px + 1px)) intersect,100% 50% var(--g),65.45% 97.55% var(--g),9.55% 79.39% var(--g),9.55% 20.61% var(--g),65.45% 2.45% var(--g);
}
.border-type label:nth-child(3) i:before{
  margin: -24px;
  --g:/37.02% 37.02% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
  mask: radial-gradient(100% 100%,#000 calc(25.48% - 1px),#0000 25.48%) intersect,radial-gradient(#000 0 0) exclude,100% 50% var(--g),65.45% 97.55% var(--g),9.55% 79.39% var(--g),9.55% 20.61% var(--g),65.45% 2.45% var(--g);
}
.border-type label:nth-child(4) i:before{
  margin: -24px;
  --g:/calc(37.02% + 1.53px) calc(37.02% + 1.53px) radial-gradient(#0000 calc(70% - 3px),#000 calc(71% - 3px) 70%,#0000 71%) no-repeat;
  mask: radial-gradient(100% 100%,#000 calc((37.02% + 1.53px)/1.46 - 2.06px),#0000 calc((37.02% + 1.53px)/1.46 - 2.06px + 1px)) intersect,100% 50% var(--g),65.45% 97.55% var(--g),9.55% 79.39% var(--g),9.55% 20.61% var(--g),65.45% 2.45% var(--g);
}
@media (max-width: 900px) {
	html {
		height: auto;
		min-height: 100%;
	}
	body {
		grid-template-rows: auto auto 1fr;
	}
	body header {
		padding: 0;
		order: -2;
	}
	#demo {
		--s:250px;
	}
	main {
		grid-template-columns: 1fr;
	}
	main .code {
		padding-bottom: 15px;
	}
	.grid {
		grid-template-columns: repeat(2,minmax(0,1fr));
	}
	main > section:first-child {
		resize: none;
	    border: none;
	    padding: 25px;
	    margin: auto;
	}
	main section:last-child {
		height: auto;
	}
	main > section:first-child:before,
	main > section:first-child:after {
		content: none;
	}
	.border-type {
	    position: static;
	    display: flex;
	    justify-content: center;
	}
}